// $Id: gc_poptab.h,v 1.8 2018/01/03 21:32:59 mkkuhner Exp $

/*
Copyright 2002-2005 Mary K. Kuhner, Peter Beerli, and Joseph Felsenstein

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/

/* Authors: Mary Kuhner, Jon Yamato, and Joseph Felsenstein */


#ifndef GC_POPTAB_H
#define GC_POPTAB_H

#include "gc_gridpanel.h"

class wxWindow;

class gcPopPane : public gcGridPane
{
  private:
    gcPopPane();            // undefined
  protected:
  public:
    gcPopPane(wxWindow * parent);
    virtual ~gcPopPane();

    virtual void NotifyLeftDClick(size_t row, size_t col);
};

class gcPopTab : public gcInfoPane
{
  private:
    gcPopTab();        // undefined

  protected:
    wxPanel *   MakeContent();
    wxString    MakeLabel();

  public:
    gcPopTab(wxWindow * parent, GCLogic & logic);
    virtual ~gcPopTab();
};

#endif  // GC_POPTAB_H

//____________________________________________________________________________________
